<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
  <div class="container-fluid">
    <a class="navbar-brand p-0 me-2" href="{{get_url('index')}}"><img src="{{ get_media('logos/logo.png')}}" alt=""></a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
      aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarCollapse">
      <ul class="navbar-nav me-auto mb-2 mb-md-0">
        {% for item in config[page.menu] or MainMenu -%}
        {% if not (item.static_out and is_static) -%}
        <li class="nav-item">
        {% if "drop" in item -%}
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" data-bs-toggle="dropdown"
            aria-expanded="false"> {{ item.name }} </a>
          <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
            {% for drop in item.drop -%}
            {% if not (drop.static_out and is_static) -%}
            <li><a class="dropdown-item {{iif(page.pagename == drop.url,'active')}}" href="{{get_url(drop.url)}}">{{ drop.name }}</a></li>
            {% endif -%}
            {% endfor -%}
          </ul>
        </li>
        {% else -%}
        <a class="nav-link {{iif(page.pagename == item.url,'active')}} " aria-current="page" href="{{get_url(item.url)}}">{{ item.name }}</a>
        {% endif -%}
        {% endif -%}
        {% endfor -%}
      </ul>
    </div>
  </div>
</nav>
{# Hero

  hero is a band under the navbar used to display title and some notes. hero must
  be inserted in page out of content list.

parameters:
  id: give a unique ID to every widget in the page
  class: set additional classes for the widget
  image: background image for hero
  title: if not present takes the page.title
  height: height in pixels if not present gets 200px
  text: if not present take the page.description
-#}
{% if page.hero %}
  <style>
    #{{page.hero.id}} {
      background-image: url({{get_media(page.hero.image)}});
      min-height: {{page.hero.height or 200}}px;
    }
    body {
    padding-top: 60px;
    }
  </style>
  <div class="hero text-center {{page.hero.class}}" id="{{page.hero.id}}">
    <div class="{{page.hero.caption_class}}" style="{{page.hero.caption_style}}">
    <h1 class="display-5 fw-bold">{{page.hero.title or page.title}}</h1>
    <div class="col-lg-6 mx-auto">
      <p class="lead mb-4">{{(page.hero.text or page.description)}}</p>
    </div>
    </div>
  </div>

{% endif -%}